package com.wdkl.ncs.android.middleware.logic.contract.conversion_box

import com.wdkl.ncs.android.lib.base.BaseContract
import com.wdkl.ncs.android.middleware.model.vo.CustomerInfoVO
import com.wdkl.ncs.android.middleware.model.vo.FrameAudioVO
import com.wdkl.ncs.android.middleware.model.vo.FramePartVO

interface MainFragmentContract {

    interface View : BaseContract.BaseView {

        fun showCustomInfo(customInfo: CustomerInfoVO)

        fun showFrames(framePartVO: FramePartVO)

        fun showFrameDevices(frameVO: FrameAudioVO)

        fun onNoNet()
    }

    interface Presenter : BaseContract.BasePresenter {

        //获取病人信息
        fun loadCustomInfo(customId: Int)

        //获取空间结构
        fun loadFrame(partId: Int)

        //通过转换盒设备id获取对应的空间结构及设备
        fun loadFrameDevices(audioId: Int)
    }
}